Name:		libcbor
Version:	0.11.0
Release:	1
Summary:	A CBOR parsing library
License:	MIT
URL:		http://libcbor.org
Source0:	https://github.com/PJK/%{name}/archive/v%{version}.tar.gz

BuildRequires:	cmake gcc-c++ make libcmocka-devel

%description
libcbor is a C library for parsing and generating CBOR.

%package	devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel contains libraries and header files for %{name}.

%prep
%autosetup -n %{name}-%{version}
sed -i 's|${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/pkgconfig|${CMAKE_INSTALL_LIBDIR}/pkgconfig|' src/CMakeLists.txt

%build
%cmake . -DCMAKE_BUILD_TYPE=Release -DWITH_TESTS=ON
%make_build 

%install
%make_install

%files
%license LICENSE.md
%doc README.md
%{_libdir}/libcbor.so.0*

%files devel
%{_includedir}/cbor.h
%{_includedir}/cbor/*.h
%{_includedir}/cbor/internal/*.h
%{_libdir}/libcbor.so
%{_libdir}/pkgconfig/libcbor.pc
%{_libdir}/cmake/libcbor

%changelog
* Wed Jul 17 2024 kywqs <weiqingsong@kylinos.cn> - 0.11.0-1
- Update version to 0.11.0
- Include the cmake directory in the devel package

* Tue Feb 27 2024 wangshuo <wangshuo@kylinos.cn> - 0.10.2-1
- Update version to 0.10.2

* Wed May 11 2022 yangchenguang <yangchenguang@uniontech.com> - 0.9.0-1
- Package Init
